The application topaz defines the following object types:

SimplicialComplex

Each type is accompanied with alphabetically sorted lists of properties and public methods, both own and inherited from parent types. The items are links to the detailed descriptions.

Underlined is the default type for this application.

The methods inherited from Poly::Object are described on a separate page, as they are only needed for advanced scripting.

SimplicialComplex
An abstract simplicial complex represented by its facets.
properties:

BALL | EULER_CHARACTERISTIC | MIXED_GRAPH
BALL_OR_SPHERE | F2_VECTOR | N_FACETS
BOUNDARY_OF_PSEUDO_MANIFOLD | FACETS | N_MINIMAL_NON_FACES
CLOSED_PSEUDO_MANIFOLD | FUNDAMENTAL_GROUP | N_VERTICES
COCYCLES | FUNDAMENTAL_GROUP_GEN_LABELS | ODD_SUBCOMPLEX
COHOMOLOGY | F_VECTOR | ORIENTATION
CONNECTED | GEOMETRIC_REALIZATION | ORIENTED_PSEUDO_MANIFOLD
CONNECTED_COMPONENTS | GRAPH | PROJ_DICTIONARY
CONNECTIVITY | G_DIM | PROJ_ORBITS
CYCLES | HASSE_DIAGRAM | PSEUDO_MANIFOLD
DESCRIPTION | HOMOLOGY | PURE
DIM | INPUT_FACES | SPHERE
DUAL_CONNECTED | INTERSECTION_FORM | STIEFEL_WHITNEY
DUAL_CONNECTED_COMPONENTS | LOCALLY_STRONGLY_CONNECTED | SURFACE
DUAL_CONNECTIVITY | MANIFOLD | VERTEX_LABELS
DUAL_GRAPH | MAX_CLIQUES
DUAL_MAX_CLIQUES | MINIMAL_NON_FACES

methods:

VISUAL | VISUAL_GRAPH | fundamental2gap
VISUAL_DUAL_GRAPH | VISUAL_MIXED_GRAPH